#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:3.1.12-alpine3.12 AS base
WORKDIR /app
ENV ASPNETCORE_URLS=http://+:7070
EXPOSE 7070/tcp

FROM mcr.microsoft.com/dotnet/core/sdk:3.1.406-bionic AS build
WORKDIR /src
COPY ["DotNetSoapService.csproj", "DotNetSoapService/"]
RUN dotnet restore "DotNetSoapService/DotNetSoapService.csproj"
COPY [".", "DotNetSoapService/"]
WORKDIR "/src/DotNetSoapService"
RUN dotnet build "DotNetSoapService.csproj" -c Release -o /app/build -v n

FROM build AS publish
RUN dotnet publish "DotNetSoapService.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "DotNetSoapService.dll"]
